org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class JsBreakpointPropertiesRulerAction

- java.lang.Object
- - RulerBreakpointAction
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.JsBreakpointPropertiesRulerAction

    public class JsBreakpointPropertiesRulerAction
    extends RulerBreakpointAction

Action to bring up the breakpoint properties dialog.

### Nested Class Summary

Nested Classes
`static class` `JsBreakpointPropertiesRulerAction.Delegate`

### Constructor Summary

Constructors
Constructor and Description
`JsBreakpointPropertiesRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`
`void` `update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsBreakpointPropertiesRulerAction

    public JsBreakpointPropertiesRulerAction(ITextEditor editor,
                                             IVerticalRulerInfo rulerInfo)

### Method Detail

#### run

    public void run()

#### update

    public void update()